import ItemBuilder from '../../engine/builders/item';

export default new ItemBuilder()
.withID("statue1")
.withName("a huge ant statue")
.withDescription(
    `Before you stands a big ant statue. One of its six legs is extended outwards, attached to a round device.`
)
.isTakeable(false)
.isUsable(true)
.withUseCallback(async function (context) {
    context.print(`You press the button on the round device attached to the statue's arm.`)
})
.create();